Name: stress-kernel
Version: 0.3
Release: 1

Summary: A suite of tools to stress the Linux kernel to expose bugs.
Group:  Applications/System

License: GPL
Requires: ttcp, /usr/bin/killall

Source0: ctcs-1.2.1.tar.gz
Patch0: ctcs-additions.patch

Source1: iotest30.tgz
Patch1: iotest30.patch

Source2: dt-source.tar.gz
Patch2: dt.patch

%description
A suite of tools to stress the Linux kernel to expose bugs.  The suite is
driven by the Cerberus test protocol and uses the Cerberus memory test.
In addition, it includes a test which does read and write verification
on NFS mounted directories and a kernel compile in an NFS mounted
directory (nfstest.sh), a tcp test (ttcp), a disk stress
test (IOtest) and a data tester for checking FIFO's and mmap'd file
integrity.

ExclusiveOS: linux  

Packager: Bob Matthews <bmatthews@redhat.com>


# prep section
%prep

%setup -n ctcs-1.2.1
%patch -p1

%setup -n iotest30 -T -b 1
%patch1 -p1

%setup -n dt.d -T -b 2
%patch2 -p1

#
#build
#
%build
cd $RPM_BUILD_DIR/ctcs-1.2.1
make

cd $RPM_BUILD_DIR/iotest30
make

cd $RPM_BUILD_DIR/dt.d
make

#install section
[ -d /usr/local/bin/ctcs ] && rm -r /usr/local/bin/ctcs >> /dev/null 2>&1
#mkdir /usr/local/bin/ctcs >> /dev/null 2>&1
cp -r $RPM_BUILD_DIR/ctcs-1.2.1 /usr/local/bin/ctcs
ln -s /usr/bin/ttcp /usr/local/bin/ctcs/runin/ttcp
chmod u+rx /usr/local/bin/ctcs/runin/nfs* /usr/local/bin/ctcs/runin/ttcp_driver.sh /usr/local/bin/ctcs/hell-hound.sh

CTCS_BASE=/usr/local/bin/ctcs

[ -d $CTCS_BASE/runin/iotest30.dir ] && \
    rm -r $CTCS_BASE/ctcs/runin/iotest30.dir >> /dev/null 2>&1
cp -r $RPM_BUILD_DIR/iotest30 \
    $CTCS_BASE/runin/iotest30.dir >> /dev/null 2>&1
ln -s $CTCS_BASE/runin/iotest30.dir/IOtest \
    $CTCS_BASE/runin/IOtest >> /dev/null 2>&1
ln -s $CTCS_BASE/runin/iotest30.dir/iotest30_driver.sh \
    $CTCS_BASE/runin/iotest30_driver.sh >> /dev/null 2>&1
chmod ugo+rx $CTCS_BASE/runin/iotest30.dir/iotest30_driver.sh

[ -d $CTCS_BASE/runin/dt.d ] && \
    rm -r $CTCS_BASE/runin/dt.t >> /dev/null 2>&1
cp -r $RPM_BUILD_DIR/dt.d \
    $CTCS_BASE/runin/dt.d >> /dev/null 2>&1
ln -s $CTCS_BASE/runin/dt.d/dt $CTCS_BASE/runin/dt >> /dev/null 2>&1
ln -s $CTCS_BASE/runin/dt.d/getpagesize $CTCS_BASE/runin/getpagesize >> /dev/null 2>&1
ln -s $CTCS_BASE/runin/dt.d/dt_driver.sh $CTCS_BASE/runin/dt_driver.sh >> /dev/null 2>&1
chmod ugo+rx $CTCS_BASE/runin/dt.d/{dt,getpagesize,dt_driver.sh}


%files
/usr/local/bin/ctcs/*
